TAU_DISABLE_GROUP_NA(3)

NAME
TAU_DISABLE_GROUP_NAME - Disables a group based on name

SYNOPSIS

C/C++:

TAU_DISABLE_GROUP_NAME(char *groupname);

Fortran:

TAU_DISABLE_GROUP_NAME(character groupname(size));

DESCRIPTION

Similar to TAU_ENABLE_GROUP_NAME , this macro turns off the instrumentation in all routines associated with the dynamic group created using the tau_instrumentor -g <group_name> argument.

EXAMPLE

C/C++ :

/* tau_instrumentor was invoked with -g DTM for a set of files */
TAU_DISABLE_GROUP_NAME("DTM");
dtm_routines();
/* disable and then re-enable the group with the name DTM */
TAU_ENABLE_GROUP_NAME("DTM");

Fortran :

! tau_instrumentor was invoked with -g DTM for this file
    call TAU_PROFILE_TIMER(profiler, "ITERATE>DTM")
    call TAU_DISABLE_GROUP_NAME("DTM")
! Disable, then re-enable DTM group
    call TAU_ENABLE_GROUP_NAME("DTM")

SEE ALSO

TAU_GET_PROFILE_GROUP(3), TAU_ENABLE_GROUP_NAME(3), TAU_ENABLE_ALL_GROUPS(3), TAU_DISABLE_ALL_GROUPS(3)